<?xml version="1.0" encoding="UTF-8"?><MDATASOURCE desc_eng="Master เก็บข้อมูล Data Source  Table" desc_thai="ทะเบียน Data Source " editcheck="true" fieldsystem="*" mainhelp="MDATASOURCEHELP" referhelp="MDATASOURCEHELP" mainkey="DSID" protype="table" deleteflag="true" config_field="">
<FIELD>
		<DSID lang="A" encrypt="false" log="false" type="AutoNumber" table="MDATASOURCE">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<DESC_ENG>Datasource Code</DESC_ENG>
			<DESC_THAI>รหัสแหล่งข้อมูล</DESC_THAI>
			<COMPONENT type="Text">
			    <!--HELP>AS08HELP</HELP-->
				<SIZE>15</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>Datasource Code</ALT_ENG>
				<ALT_THAI>รหัสแหล่งข้อมูล</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</DSID>
		<DSNAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Datasource Name</DESC_ENG>
			<DESC_THAI>ชื่อแหล่งข้อมูล</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Datasource Name</ALT_ENG>
				<ALT_THAI>ชื่อแหล่งข้อมูล</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
		</DSNAME>
		<DSCLASS lang="A" encrypt="false" log="false" type="String">
			<WIDTH>128</WIDTH>
			<DESC_ENG>Class Name</DESC_ENG>
			<DESC_THAI>ขื่อ Class</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>30</SIZE>
				<MAXSIZE>128</MAXSIZE>
				<ALT_ENG>Class Name</ALT_ENG>
				<ALT_THAI>ขื่อ Class ที่ใช้ดึงข้อมูล</ALT_THAI>
			</COMPONENT>
		<REQUIRE>true</REQUIRE>
<APPNAME name="APPRAISAL">
			<DESC_ENG>Class</DESC_ENG>
			<DESC_THAI>คลาส</DESC_THAI>
				<COMPONENT type="Text"><SIZE>30</SIZE>
				<MAXSIZE>128</MAXSIZE>
				<ALT_ENG>Class</ALT_ENG>
				<ALT_THAI>คลาสที่ใช้ดึงข้อมูล</ALT_THAI>
			</COMPONENT></APPNAME>
</DSCLASS>
		<DSTYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Type Detail</DESC_ENG>
			<DESC_THAI>ประเภทข้อมูล</DESC_THAI>
			<COMPONENT type="Text">
			<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Type Detail</ALT_ENG>
				<ALT_THAI>ประเภทข้อมูล</ALT_THAI>
				<VALIDCODE>Dstype</VALIDCODE>
			</COMPONENT>
		</DSTYPE>
		<DSCREATEBY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Creator</DESC_ENG>
			<DESC_THAI>ผู้สร้าง</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>50</SIZE>
				<MAXSIZE>50</MAXSIZE>
				<ALT_ENG>Creator</ALT_ENG>
				<ALT_THAI>ผู้สร้าง</ALT_THAI>
			</COMPONENT>
		</DSCREATEBY>
		<DSCREATEDATE lang="A" encrypt="false" log="false" type="TimeStamp">
			<WIDTH>18</WIDTH>
			<DESC_ENG>Create Date</DESC_ENG>
			<DESC_THAI>วันที่สร้าง</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>18</SIZE>
				<MAXSIZE>18</MAXSIZE>
				<ALT_ENG>Create Date</ALT_ENG>
				<ALT_THAI>วันที่สร้าง</ALT_THAI>
			</COMPONENT>
		</DSCREATEDATE>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company Code</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
<ENAME lang="E" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2000</WIDTH>
			<REFER_LANG>TNAME</REFER_LANG>
			<DESC_ENG>Description(thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Description(thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
				<LINES>3</LINES>
				<SIZECHAR>60</SIZECHAR>
				</COMPONENT>
		</ENAME>
<TNAME lang="T" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>2000</WIDTH>
			<REFER_LANG>ENAME</REFER_LANG>
			<DESC_ENG>Description(Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Description(Eng.)</ALT_ENG>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
				<LINES>3</LINES>
				<SIZECHAR>60</SIZECHAR>
				</COMPONENT>
		</TNAME></FIELD>
	<RELATION>
	</RELATION>
</MDATASOURCE>
